Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class CompositeRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.AjaxComponentRendererBase
                  org.ajax4jsf.renderkit.AjaxChildrenRenderer
                      org.richfaces.renderkit.CompositeRenderer

All Implemented Interfaces:
  org.ajax4jsf.renderkit.AjaxRenderer

    public abstract class CompositeRenderer

extends AjaxChildrenRenderer

Author:
  Nick Belaevski - nbelaevski@exadel.com created 18.12.2006

Field Summary

Fields inherited from class org.ajax4jsf.renderkit.AjaxChildrenRenderer
`SPECIAL_COMPONENTS_TYPES`

Constructor Summary
`CompositeRenderer()`

Method Summary
`protected void` | `addContributor(RendererContributor renderer)`
`protected void` | `addParameterEncoder(AttributeParametersEncoder encoder)`
`protected void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom decoding of concrete renderer.
`void` | `encodeAttributeParameters(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected RendererContributor[]` | `getContributors()`
`protected AttributeParametersEncoder[]` | `getParameterEncoders()`
`protected java.lang.String` | `getScriptContributions(java.lang.String varString, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected java.lang.String` | `getScriptContributions(java.lang.String varString, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.Class<?> acceptableClass)`
`protected void` | `mergeScriptOptions(ScriptOptions scriptOptions, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected void` | `mergeScriptOptions(ScriptOptions scriptOptions, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.Class<?> acceptableClass)`

Methods inherited from class org.ajax4jsf.renderkit.AjaxChildrenRenderer
`encodeAjaxChildren, encodeAjaxComponent`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResource, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompositeRenderer

    public CompositeRenderer()

Method Detail

### doDecode

    protected void doDecode(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)

  Description copied from class: `RendererBase`
  Template method for custom decoding of concrete renderer. All parameters checking if performed in original `decode` method.

  Overrides:
    `doDecode` in class `RendererBase`

### mergeScriptOptions

    protected void mergeScriptOptions(ScriptOptions scriptOptions,
                                      javax.faces.context.FacesContext context,
                                      javax.faces.component.UIComponent component)

### mergeScriptOptions

    protected void mergeScriptOptions(ScriptOptions scriptOptions,
                                      javax.faces.context.FacesContext context,
                                      javax.faces.component.UIComponent component,
                                      java.lang.Class<?> acceptableClass)

### getScriptContributions

    protected java.lang.String getScriptContributions(java.lang.String varString,
                                                      javax.faces.context.FacesContext context,
                                                      javax.faces.component.UIComponent component)

### getScriptContributions

    protected java.lang.String getScriptContributions(java.lang.String varString,
                                                      javax.faces.context.FacesContext context,
                                                      javax.faces.component.UIComponent component,
                                                      java.lang.Class<?> acceptableClass)

### addContributor

    protected void addContributor(RendererContributor renderer)

### getContributors

    protected RendererContributor[] getContributors()

### addParameterEncoder

    protected void addParameterEncoder(AttributeParametersEncoder encoder)

### getParameterEncoders

    protected AttributeParametersEncoder[] getParameterEncoders()

### encodeAttributeParameters

    public void encodeAttributeParameters(javax.faces.context.FacesContext context,
                                          javax.faces.component.UIComponent component)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.